sysbypid.d(1m)

NAME
sysbypid.d - system stats by PID. Uses DTrace.

SYNOPSIS
sysbypid.d

DESCRIPTION
sysbypid.d is a simple DTrace program to print System statistics by process. The system statistics are documented in the cpu_sysinfo struct in the /usr/include/sys/sysinfo.h file; and also in the sysinfo provider chapter of the DTrace Guide, http://docs.sun.com/db/doc/817-6223. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

Sample until Ctrl-C is hit then print report,
    # sysbypid.d

FIELDS

EXEC
    process name

PID process ID

VM  Virtual Memory statistic

VALUE
    Value by which statistic was incremented

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
sysbypid.d will sample until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M), vmstat(1M)